%global momorel 1
%global __libtoolize :
%global qtdir %{_libdir}/qt3

Summary: Open Source Desktop Publishing
Name: scribus
Version: 1.3.4
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Publishing
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
URL: http://www.scribus.net/
BuildRequires: qt3-devel, lcms-devel >= 1.15-4m, libxml2-devel, python-devel >= 2.5
BuildRequires: freetype-devel >= 2.3.1-2m, fontconfig-devel
BuildRequires: libtiff-devel >= 3.6.0, libjpeg-devel >= 6b-30m
BuildRequires: libxml2-devel, ghostscript-devel, cups-devel
BuildRequires: perl
Requires: qt3, lcms, python, freetype, ghostscript
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Scribus is an open-source program that brings award-winning professional page layout to Linux/Unix, MacOS X and Windows desktops with a combination of "press-ready" output and new approaches to page layout.

Underneath the modern and user friendly interface, Scribus supports professional publishing features, such as CMYK color, separations, ICC color management and versatile PDF creation.

%package devel
Summary: Header files for scribus
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files for scribus

%prep
rm -rf %{buildroot}

%setup -q

%build
export QTDIR=%{qtdir}

#./configure --prefix=%{_prefix} --libdir=%{_libdir} --datadir=%{_datadir} --mandir=%{_mandir} --enable-shared
%configure --with--qt-libraries=%{qtdir}/lib
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

# desktopfile
mkdir -p %{buildroot}/%{_datadir}/applications
desktop-file-install --vendor= \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category Qt \
    --remove-category Application \
    ./%{name}.desktop

%post
update-mime-database %{_datadir}/mime &> /dev/null

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/import.prolog
%{_libdir}/%{name}/import_la.prolog
%{_libdir}/%{name}/dicts
%{_libdir}/%{name}/keysets
%{_libdir}/%{name}/plugins/lib*.so.*.*
%{_libdir}/%{name}/%{name}.*.qm
%dir %{_libdir}/%{name}/plugins/gettext
%{_libdir}/%{name}/plugins/gettext/lib*.so.*.*
%{_libdir}/%{name}/profiles
%{_libdir}/%{name}/swatches
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_mandir}/pl/man1/*
%{_datadir}/mime/packages/scribus.xml

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}/plugins/lib*.so.?
%{_libdir}/%{name}/plugins/lib*.so
%{_libdir}/%{name}/plugins/lib*a
%{_libdir}/%{name}/plugins/gettext/lib*.so.?
%{_libdir}/%{name}/plugins/gettext/lib*.so
%{_libdir}/%{name}/plugins/gettext/lib*a

%changelog
* Tue Jun 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.4-1m)
- update to 1.3.4

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.3.11-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.3.11-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.11-1m)
- update to 1.3.3.11

* Sun Feb 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.3.9-3m)
- specify qt3 libs

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.3.9-2m)
- %%NoSource -> NoSource

* Wed May 23 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.9-1m)
- update to 1.3.3.9

* Sun Apr 01 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.8-1m)
- update to 1.3.3.8

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.3.7-4m)
- Requires: freetype2 -> freetype

* Thu Feb 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.3.7-3m)
- revive *.la

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.3.7-2m)
- delete libtool library

* Wed Jan 10 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.7-1m)
- update to 1.3.3.7

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.3.6-2m)
- rebuild against python-2.5

* Fri Dec 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.6-1m)
- update to 1.3.3.6

* Mon Nov 13 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.5-1m)
- update to 1.3.3.5

* Wed Oct 04 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.4-1m)
- update to 1.3.3.4

* Tue Sep 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.3-1m)
- 1.3.3.3 has been released.

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.3.2-3m)
- remove category Application

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.3.3.2-2m)
- rebuild against expat-2.0.0-1m

* Tue May 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.2-1m)
- update to bug fix release 1.3.3.2

* Sun May 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3.1-1m)
- import to Momonga (at last!)

* Wed Apr 12 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.3.1-0.0.1m)
- update to 1.3.3.1

* Tue Apr 04 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.3-0.0.1m)
- update to 1.3.3
- japanese messages seems to be merged in upstream

* Wed Feb 01 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.2-0.0.1m)
- update to 1.3.2
- add japanese message files at http://blog.good-day.net/~kurose/

* Tue Jul 26 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.3.0-0.0.1m)
- version 1.3.0
- scribus-1.3.0-no_remake_docitemattrprefs_cpp.patch since uic causes segmentation fault during remake docitemattrprefs.cpp

* Thu May 19 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.2.1-0.0.1m)
- version 1.2.1

* Sun Nov 07 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.2-0.0.1m)
- version 1.2

* Mon Jun 07 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.7-0.0.1m)
- version 1.1.7

* Tue Apr 27 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.6-0.0.1m)
- version 1.1.6

* Wed Feb 18 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.5-0.0.1m)
- version 1.1.5

* Sat Jan 10 2004 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.4-0.0.1m)
- version 1.1.4

* Sun Nov  2 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.2-0.0.1m)
- version 1.1.2

* Sun Oct  5 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.1.1-0.0.1m)
- version 1.1.1

* Mon Aug 11 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.0.1-0.0.1m)
- version 1.0.1

* Thu Jul 17 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (1.0-0.0.1m)
- version 1.0

* Sun Jun 15 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.10-0.0.1m)
- version 0.9.10

* Sat Mar 8 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.7-0.0.1m)
- version 0.9.7

* Sun Dec 22 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.4-0.0.1m)
- version 0.9.4

* Sun Nov 24 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.9.2-0.0.1m)
- version up

* Mon Nov 4 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.8-0.2m)
- add Patch for the Measurements Palette (patch1)
- add Patch for the Fontmenu on newer Systems (patch2)

* Sat Oct 12 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.8-0.1m)
- version 0.8

* Fri Sep 20 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (0.7.8-0.1m)
- build for Momonga
